Subject: Re: [GIT PULL 1/7] i.MX drivers update for 5.4

From: Shawn Guo <[email-masked]>
Date: Wed, 11 Sep 2019 09:28:02 +0800

On Tue, Sep 03, 2019 at 10:58:51PM +0200, Arnd Bergmann wrote:
> On Sun, Aug 25, 2019 at 5:33 PM Shawn Guo <[email-masked]> wrote:
> >
> 
> > i.MX drivers update for 5.4:
> >  - A series from Anson Huang to add UID support for i.MX8 SoC and SCU
> >    drivers.
> >  - A series from Daniel Baluta to add DSP IPC driver for communication
> >    between host AP (Linux) and the firmware running on DSP embedded in
> >    i.MX8 SoCs.
> >  - A small fix for GPCv2 error code printing.
> >  - Switch from module_platform_driver_probe() to module_platform_driver()
> >    for imx-weim driver, as we need the driver to probe again when device
> >    is present later.
> >  - Add optional burst clock mode support for imx-weim driver.
> 
> Pulled into arm/drivers.
> 
> The module_platform_driver_probe() change looks like it should have been
> in a bugfix branch, and I think there were some other patches that would
> qualify in your other pull requests:
> 
> a95fbda08ee2 ("ARM: dts: imx7-colibri: disable HS400")
> 9846a4524ac9 ("ARM: dts: imx7d: cl-som-imx7: make ethernet work again")
> 7cb220a75ff3 ("arm64: dts: lx2160a: Fix incorrect I2C clock divider")
> f64697bd0b9e ("arm64: dts: ls1028a: fix gpio nodes")
> 
> There may have been good reasons to not include them in the fixes
> pull request, but my feeling is that you could be a little more aggressive
> in categorizing bugfixes for backports or adding Cc:stable tags.

Okay, noted.  I was generally relying on author's opinion whether it's a
critical bug fix and should have stable tag.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel